/*
	This file is part of lgui.

	lgui is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	lgui is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with lgui.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2008 Lucas Hermann Negri
*/

#ifndef LGUI_BUTTON
#define LGUI_BUTTON

#include "widget.h"

/* GtkButton */

int lgui_button_new(lua_State* L);
int lgui_button_new_with_mnemonic(lua_State* L);
int lgui_button_new_from_stock(lua_State* L);

/* GtkToggleButton */

int lgui_toggle_button_new(lua_State* L);
int lgui_toggle_button_new_with_mnemonic(lua_State* L);

/* GtkRadioButton */

int lgui_radio_button_new(lua_State* L);
int lgui_radio_button_new_with_mnemonic(lua_State* L);
int lgui_radio_button_new_from_widget(lua_State* L);
int lgui_radio_button_new_with_mnemonic_from_widget(lua_State* L);

/* GtkCheckButton */

int lgui_check_button_new(lua_State* L);
int lgui_check_button_new_with_mnemonic(lua_State* L);

/* GtkColorButton */

int lgui_color_button_new(lua_State* L);

/* GtkFontButton */

int lgui_font_button_new(lua_State* L);

/* GtkFileChooserButton */

int lgui_file_chooser_button_new(lua_State* L);

/* GtkScaleButton */

int lgui_scale_button_new(lua_State* L);

/* GtkVolumeButton */

int lgui_volume_button_new(lua_State* L);

/* GtkLinkButton
 * I don't like it!
 * int lgui_link_button_new(lua_State* L);
 */

#endif
