/*
	This file is part of lgui.

	lgui is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	lgui is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with lgui.  If not, see <http://www.gnu.org/licenses/>.

    Copyright (C) 2008 Lucas Hermann Negri
*/

#ifndef LGUI_GDK
#define LGUI_GDK

#include "lgui.h"

/* Events */

int lgui_event_button_get(lua_State* L);
int lgui_event_key_get(lua_State* L);

/* Atom */

int lgui_atom_intern(lua_State* L);
int lgui_atom_name(lua_State* L);

/* GdkCursor */

int lgui_gdk_cursor_new(lua_State* L);

/* GdkWindow */

int lgui_gdk_window_set_cursor(lua_State* L);
int lgui_gdk_window_get_pointer(lua_State* L);
int lgui_gdk_window_clear(lua_State* L);
int lgui_gdk_window_clear_area(lua_State* L);

/* General */

int lgui_gdk_beep(lua_State* L);

#endif
