/*
	This file is part of lgui.

	lgui is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	lgui is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with lgui.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2008 Lucas Hermann Negri
*/

#include "label.h"

int lgui_label_new(lua_State* L)
{
	int top = lua_gettop(L);
	gchar* text = NULL;
	
	if(top > 0)
	{
		luaL_checktype(L, 1, LUA_TSTRING);
		text = (gchar*)lua_tostring(L, 1);
	}
	
	GtkWidget* ptr = gtk_label_new(text);
	object_new(L, ptr, FALSE);
	
	return 1;
}

int lgui_label_new_with_mnemonic(lua_State* L)
{
	luaL_checktype(L, 1, LUA_TSTRING);
	GtkWidget* ptr = gtk_label_new_with_mnemonic(lua_tostring(L, 1));
	object_new(L, ptr, FALSE);
	
	return 1;
}

int lgui_label_set_line_wrap(lua_State* L)
{
	luaL_checktype(L, 1, LUA_TUSERDATA);
	luaL_checktype(L, 2, LUA_TBOOLEAN);

	Object* obj = lua_touserdata(L, 1);
	gtk_label_set_line_wrap(GTK_LABEL(obj->pointer), lua_toboolean(L, 2));

	return 0;
}

int lgui_label_set_text_with_mnemonic(lua_State* L)
{
	luaL_checktype(L, 1, LUA_TUSERDATA);
	luaL_checktype(L, 2, LUA_TSTRING);
	
	Object* obj = lua_touserdata(L, 1);
	gtk_label_set_text_with_mnemonic(GTK_LABEL(obj->pointer), lua_tostring(L, 2)); 
	
	return 0;
}
