/*
	This file is part of lgui.

	lgui is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	lgui is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with lgui.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2008 Lucas Hermann Negri
*/

#include "table.h"

int lgui_table_new(lua_State* L)
{
	luaL_checktype(L, 1, LUA_TNUMBER);
	luaL_checktype(L, 2, LUA_TNUMBER);
	luaL_checktype(L, 3, LUA_TBOOLEAN);

	GtkWidget* ptr = gtk_table_new(lua_tointeger(L, 1), lua_tointeger(L, 2), lua_toboolean(L, 3));
	object_new(L, ptr, FALSE);

	return 1;
}

int lgui_table_resize(lua_State* L)
{
	luaL_checktype(L, 1, LUA_TUSERDATA);
	luaL_checktype(L, 2, LUA_TNUMBER);
	luaL_checktype(L, 3, LUA_TNUMBER);

	Object* obj = lua_touserdata(L, 1);
	gtk_table_resize(GTK_TABLE(obj->pointer), lua_tointeger(L, 2), lua_tointeger(L, 3));

	return 0;
}

int lgui_table_attach(lua_State* L)
{
	luaL_checktype(L, 1, LUA_TUSERDATA); 	/* GtkTable */
	luaL_checktype(L, 2, LUA_TUSERDATA); 	/* GtkWidget */
	luaL_checktype(L, 3, LUA_TNUMBER); 		/* Left */
	luaL_checktype(L, 4, LUA_TNUMBER); 		/* Right */
	luaL_checktype(L, 5, LUA_TNUMBER); 		/* Up */
	luaL_checktype(L, 6, LUA_TNUMBER); 		/* Down */
	luaL_checktype(L, 7, LUA_TNUMBER); 		/* xoptions */
	luaL_checktype(L, 8, LUA_TNUMBER); 		/* yoptions */
	luaL_checktype(L, 9, LUA_TNUMBER); 		/* xpadding */
	luaL_checktype(L, 10, LUA_TNUMBER); 	/* ypadding */

	Object* obj1 = lua_touserdata(L, 1);
	Object* obj2 = lua_touserdata(L, 2);

	gtk_table_attach(GTK_TABLE(obj1->pointer), GTK_WIDGET(obj2->pointer), lua_tointeger(L, 3),
	lua_tointeger(L, 4), lua_tointeger(L, 5), lua_tointeger(L, 6), lua_tointeger(L, 7), lua_tointeger(L, 8),
	lua_tointeger(L, 9), lua_tointeger(L, 10));

	return 0;
}

int lgui_table_attach_defaults(lua_State* L)
{
	luaL_checktype(L, 1, LUA_TUSERDATA); 	/* GtkTable */
	luaL_checktype(L, 2, LUA_TUSERDATA); 	/* GtkWidget */
	luaL_checktype(L, 3, LUA_TNUMBER); 		/* Left */
	luaL_checktype(L, 4, LUA_TNUMBER);	 	/* Right */
	luaL_checktype(L, 5, LUA_TNUMBER); 		/* Up */
	luaL_checktype(L, 6, LUA_TNUMBER); 		/* Down */

	Object* obj1 = lua_touserdata(L, 1);
	Object* obj2 = lua_touserdata(L, 2);

	gtk_table_attach_defaults(GTK_TABLE(obj1->pointer), GTK_WIDGET(obj2->pointer), lua_tointeger(L, 3),
	lua_tointeger(L, 4), lua_tointeger(L, 5), lua_tointeger(L, 6));

	return 0;
}
