/*
	This file is part of lgui.

	lgui is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	lgui is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with lgui.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2008 Lucas Hermann Negri
*/

#include "treesortable.h"

int lgui_tree_sortable_set_sort_column_id(lua_State* L)
{
	luaL_checktype(L, 1, LUA_TUSERDATA);
	luaL_checktype(L, 2, LUA_TNUMBER);
	luaL_checktype(L, 3, LUA_TNUMBER);
	
	Object* obj = lua_touserdata(L, 1);
	gtk_tree_sortable_set_sort_column_id(GTK_TREE_SORTABLE(obj->pointer), 
		lua_tointeger(L, 2), lua_tointeger(L, 3));
		
	return 0;
}

int lgui_tree_sortable_get_sort_column_id(lua_State* L)
{
	luaL_checktype(L, 1, LUA_TUSERDATA);
	
	gint id;
	GtkSortType order;
	
	Object* obj = lua_touserdata(L, 1);
	gtk_tree_sortable_get_sort_column_id(GTK_TREE_SORTABLE(obj->pointer), 
		&id, &order);
		
	lua_pushinteger(L, id);	
	lua_pushinteger(L, order);	
		
	return 2;
}
