#!/usr/bin/env lua

--[[
	Container childGet/childSet method test.
--]]

require("lgui")

local assist = lgui.Assistant.new()
local page1	 = lgui.Label.new("Page1")
local page2	 = lgui.Label.new("Page2")
assist:add(page1, page2)

-- childSet()

assist:childSet(page1, "title", "Page 1", "page-type", lgui.ASSISTANT_PAGE_INTRO, "complete", true)
assist:childSet(page2, "title", "Page 2")
assist:childSet(page2, "page-type", lgui.ASSISTANT_PAGE_CONFIRM)

-- childGet()

assert(assist:childGet(page1, "title") == "Page 1")
assert(assist:childGet(page1, "page-type") == lgui.ASSISTANT_PAGE_INTRO)
assert(assist:childGet(page1, "complete") == true)
local r1, r2 = assist:childGet(page2, "page-type", "title")
assert(r1 == lgui.ASSISTANT_PAGE_CONFIRM)
assert(r2 == "Page 2")

print("End.")

if arg[1] == "mem" then
	-- Pause to manually check the memory use
	io.read("*n")
end
